var urls = "http://poem.netsub.cn/poems/";
var getUrl = function(b, c) {
	var a = {
		"1": "poem/listPoem",
		"6": "poem/poem/",
		"4": "poem/auth/",
		"21": "poem/auth",
		"16": "poem/ranking",
		"2": "poem/tangGood",
		"5": "poem/songGood",
		"7": "poem/tangGood/",
		"9": "poem/songGood/",
		"3": "userPoems/poemsShows/",
		"8": "userPoems/poemsShows/",
		"11": "userPoems/listCollect/",
		"12": "userPoems/poemsShows",
		"13": "message/news",
		"14": "poem/onePoems",
		"15": "advertising/list",
		"17": "userLogin/code",
		"18": "userLogin/loginNoPass",
		"19": "userPoems/collect",
		"20": "comment/raiseBug",
		"22": "userLogin/refile/",
		"23": "userLogin/upUserInfo",
		"24": "userPoems/addPoem",
		"25": "userPoems/getPoems",
		"26": "userPoems/cancelCollect/",
		"27": "userPoems/deletePoem/",
		"28": "userPoems/good/",
		"29": "userPoems/comment",
		"30": "userPoems/listComment",
		"31": "siku/listSiku",
		"34": "siku/listTitle",
		"35": "siku/lisSaying",
		"36": "siku/listYunlv",
		"37": "siku/yunlv/",
		"38": "siku/gx",
		"39": "siku/gx/",
		"40": "siku/gxmenu/"
	};
	if (c) {
		return urls + a[b] + c
	}
	return urls + a[b]
};
var getHtml = function(a) {
	var b = {
		1: "all_detail.html",
		2: "faxian.html",
		3: "homes.html",
		5: "siku_authlist.html",
		6: "siku_poemslist.html",
		7: "siku_song.html",
		8: "siku_tang.html",
		9: "siku_tang_juanlist.html",
		10: "wo.html",
		11: "wo_collect.html",
		12: "wo_login.html",
		13: "wo_message.html",
		14: "wo_more.html",
		15: "wo_updateInfo.html",
		16: "faxian_siyou.html",
		17: "faxian_xue.html",
		18: "faxian_wan.html",
		19: "faxian_write.html",
		20: "wo_poems.html",
		21: "faxian_comment.html",
		22: "faxian_answer.html",
		23: "wo_more_contact.html",
		24: "wo_more_xieyi.html",
		25: "wo_more_yinsi.html",
		26: "all_frame.html",
		27: "wo_more_yugao.html",
		28: "siku_yuan.html",
		29: "siku_siyu.html",
		30: "siku_dynasty.html",
		31: "siku_auths.html",
		32: "siku_sihua.html",
		33: "siku_saytitle.html",
		34: "siku_saycont.html",
		35: "siku_yunlv.html",
		36: "all_detai2.html",
		37: "siku_gx.html",
		38: "siku_gxmenu.html"
	};
	return "html/" + b[a]
};
document.addEventListener("init", function(b) {
	var c = b.target;
	var a = b.target.id;
	switch (a) {
		case "siku_gxmenu":
			initgxmenu(c);
			break;
		case "siku_gx":
			initsikugx(c);
			break;
		case "all_detai2":
			initdetai2(c);
			break;
		case "siku_yunlv":
			inityunlv();
			break;
		case "siku_saycont":
			saycont(c);
			break;
		case "siku_saytitle":
			saytitle(c);
			break;
		case "siku_sihua":
			initsihua();
			break;
		case "siku_auths":
			ptoast();
			initauths(c);
			break;
		case "homes":
			checkUpdate(false);
			initHome();
			break;
		case "siku":
			sikumenu();
			break;
		case "all_detail":
			ptoast();
			initDetal(c);
			break;
		case "siku_poemslist":
			ptoast();
			initPoemList(c);
			break;
		case "wo_collect":
			ptoast();
			initCollecct();
			break;
		case "siku_tang_juanlist":
			ptoast();
			initRanking();
			break;
		case "siku_authlist":
			ptoast();
			initAuthList(c);
			break;
		case "wo_message":
			ptoast();
			initMessage();
			break;
		case "wo_updateInfo":
			initMyInfo();
			break;
		case "faxian_siyou":
			initFaxian(1);
			break;
		case "wo_poems":
			initFaxian(1, getUser().userId);
			break;
		case "faxian_comment":
			initcomment(0, c.data.id, 0);
			break;
		case "faxian_answer":
			initanswer(0, c.data.sourceId, c.data.id);
			break;
		case "all_frame":
			initIfram(c.data.src);
			break
	}
}, false);
// 文库
var initgxmenu = function(a) {
	var b = a.data.id;
	$.getJSON(getUrl("39") + b, function(c) {
		var f = c.data.gx;
		var e = c.data.mn;
		$("#gxname").html(f.name);
		$("#gxdesc").html(f.description);
		$.each(e, function(h, g) {
			$("#gxmenulist").append("<li class='list-item' onclick='tosrc(36,{id:\"" + g.id +
				"\",ty:2})'><div class='list-item__center minfont huawen'>" + g.title + "</div></li>")
		})
	})
};
// 目录
var initsikugx = function(b) {
	var a = b.data.tg;
	$.getJSON(getUrl("38") + "?tags=" + a, function(f) {
		var g = f.data;
		var e = "";
		var h = g.length % 4;
		$.each(g, function(j, c) {
			e += "<ons-col onclick='tosrc(38,{id:\"" + c.id + "\"})'><img src='" + c.img +
				"' class='colimg'><p class='coltitle'>" + c.name + "</p></ons-col>";
			j = j + 1;
			if (j % 4 == 0) {
				e = "<br><ons-row>" + e + "</ons-row>";
				$("#sikugxlist").append(e);
				e = ""
			}
			if (j == g.length && h != 0) {
				var i = appendcol(e, h);
				$("#sikugxlist").append(i);
				e = ""
			}
		})
	})
};
// 典籍内容，1没有目录 2有
var initdetai2 = function(b) {
	var c = b.data.id;
	var a = b.data.ty;
	if (a == 1) {
		$.getJSON(getUrl("37") + c, function(e) {
			content = e.data.content;
			$("#detail2").html(content)
		})
	} else {
		if (a == 2) {
			$.getJSON(getUrl("40") + c, function(e) {
				$("#detail2").html(e.data.content);
				$("#detail3").html(e.data.remark)
			})
		}
	}
};
// 韵律
var inityunlv = function() {
	var g = getCache("yunlv");
	if (g == null) {
		$.ajax({
			url: getUrl("36"),
			type: "get",
			dataType: "json",
			timeout: 1000,
			async: false,
			success: function(c) {
				g = c.data;
				setCache("yunlv", g)
			}
		})
	}
	var e = g.ci;
	var a = "";
	var f = e.length % 4;
	$.each(e, function(i, c) {
		a += "<ons-col style='padding:0px;margin:0px;text-align:center'><button onclick='tosrc(36,{id:\"" + c.id +
			"\",ty:1})' class='button--quiet minfont'>" + c.title + "</button></ons-col>";
		i = i + 1;
		if (i % 4 == 0) {
			a = "<ons-row>" + a + "</ons-row>";
			$("#yunlvci").append(a);
			a = ""
		}
		if (i == e.length && f != 0) {
			var h = appendcol(a, f);
			$("#yunlvci").append(h);
			a = ""
		}
	});
	var b = g.si;
	var f = b.length % 4;
	$.each(b, function(i, c) {
		a += "<ons-col style='padding:0px;margin:0px;text-align:center'><button onclick='tosrc(36,{id:\"" + c.id +
			"\",ty:1})' class='button--quiet minfont'>" + c.title + "</button></ons-col>";
		i = i + 1;
		if (i % 4 == 0) {
			a = "<ons-row>" + a + "</ons-row>";
			$("#yunlvsi").append(a);
			a = ""
		}
		if (i == b.length && f != 0) {
			var h = appendcol(a, f);
			$("#yunlvsi").append(h);
			a = ""
		}
	})
};
// 韵律内容
var saycont = function(c) {
	var b = c.data.tg;
	var a = getUrl("35") + "?title=" + b;
	$.getJSON(a, function(e) {
		$.each(e.data.list, function(g, f) {
			$("#saycontlist").append("<li class='list-item'><div class='list-item__center minfont huawen'>" + f.content +
				"</div></li>")
		})
	})
};
// 韵律标题
var saytitle = function(c) {
	var b = c.data.tg;
	var a = getUrl("34") + "?tags=" + b;
	$.getJSON(a, function(f) {
		var e = "";
		var g = f.data.length % 4;
		$.each(f.data, function(j, h) {
			e += "<ons-col style='padding:0px;margin:0px'><button onclick='tosrc(34,{tg:\"" + h +
				"\"})' class='button--quiet minfont'>" + h + "</button></ons-col>";
			j = j + 1;
			if (j % 4 == 0) {
				e = "<ons-row>" + e + "</ons-row>";
				$("#saytitlelist").append(e);
				e = ""
			}
			if (j == f.data.length && g != 0) {
				var i = appendcol(e, g);
				$("#saytitlelist").append(i);
				e = ""
			}
		})
	})
};
// 画
var initsihua = function() {
	$.getJSON(getUrl("15") + "?status=2", function(a) {
		$.each(a.data.list, function(c, b) {
			$("#sikusihua").append("<ons-carousel-item><div style='width: 100%;'><img  width='100%' src='" + b.img +
				"' /></div></ons-carousel-item>")
		})
	})
};
// 作者
var initauths = function(b) {
	$.getJSON(getUrl("4") + b.data.authid, function(c) {
		$("#authimg").attr("src", "https://myfiles-1255609721.cos.ap-shanghai.myqcloud.com/auth/" + c.data.img);
		$("#authname").text(c.data.name);
		$("#authdy").text(c.data.dynasty);
		$("#authdescrption").text(c.data.description)
	});
	var a = getPoemList(b);
	$.each(a.list, function(e, c) {
		$("#sikuauthslist").append('<ons-list-item tappable onclick=\'todetail("6",' + c.id + ")'>" + c.name + "(" + c.auth +
			")</ons-list-item>")
	})
};

function getPoemList(e) {
	var c;
	var a = e.data.purl;
	var b = e.data.ptype;
	$.ajax({
		url: a,
		data: e.data,
		type: "get",
		dataType: "json",
		timeout: 1000,
		async: false,
		success: function(f) {
			c = f.data
		},
	});
	return c
}
// 内置浏览器
var initIfram = function(c) {
	var a = document.documentElement.clientWidth - 5;
	var b = document.documentElement.clientHeight;
	$("#ifm").attr("src", c);
	$("#ifm").attr("height", b);
	$("#ifm").attr("width", a)
};
// 评论
var initcomment = function(a, b, c) {
	$("#hdata").val(b);
	$.ajax({
		url: getUrl("30"),
		type: "get",
		data: {
			type: a,
			sourceId: b,
			parentId: c
		},
		dataType: "json",
		timeout: 1000,
		success: function(e) {
			$.each(e.data, function(g, f) {
				$("#faxianlist").append("<li onclick='tosrcNeedLogin(22,{id:" + f.id + ",sourceId:" + b +
					"})' class='list-item list-item--tappable'><div class='fullw huawen fclist'><div style='float: left;'><img src='" +
					f.headIcon + "' class='borderhead' /></div><div class='fcauth'><span>" + f.nickName +
					"</span><p class='datatime'>" + formatDate(f.createtime) + "</p></div><div class='minfont fccontent '>" + f
					.content + "</div><div class='fright litem minfont'><i class='fa fa-commenting-o '>" + f.comcount +
					"</i></div></div> </li>")
			})
		}
	})
};
//回复
var initanswer = function(a, b, c) {
	$("#hsdata").attr("name", c);
	$("#hsdata").val(b);
	$.ajax({
		url: getUrl("30"),
		type: "get",
		data: {
			type: a,
			sourceId: b,
			parentId: c
		},
		dataType: "json",
		timeout: 1000,
		success: function(e) {
			$.each(e.data, function(g, f) {
				$("#faxianalist").append("<li onclick='tosrcNeedLogin(22,{id:" + f.id +
					"}' class='list-item list-item--tappable'><div class='fullw huawen fclist'><div style='float: left;'><img src='" +
					f.headIcon + "' class='borderhead' /></div><div class='fcauth'><span>" + f.nickName +
					"</span><p class='datatime'>" + formatDate(f.createtime) + "</p></div><div class='minfont fccontent '>" + f
					.content + "</div></li>")
			})
		}
	})
};
// 诗圈
var initFaxian = function(e, b) {
	var c = $("#wopoems");
	if (b == null) {
		b = 0;
		c = $("#siyoulist")
	}
	if (e == 1) {
		c.empty()
	}
	var a = getUrl("25") + "?page=" + e + "&userId=" + b;
	$.getJSON(a, function(f) {
		if (b == 0) {
			// 全部
			$.each(f.data.list, function(j, i) {
				var h = getCache("good" + i.id);
				var g = "fa fa-thumbs-o-up";
				if (h) {
					g = "fa fa-thumbs-up"
				}
				c.append(
					"<ons-card style='padding-bottom: 30px;margin:0px;margin-bottom:10px;'><div class='faxiantitle'><img src='" +
					i.img + "' width='40px'height='40px'/></div><div class='faxiantitle2 minfont'>" + i.auth +
					"<span class='notification notification--material minfont'style='margin-left:5px;background-color: #b59f84;' >" + i.school +
					"</span></div><div class='content'><div class='faxiancard'><div class='faxiancontent'><span class='faxianauth'>" +
					i.name + "</span><p class='toppoems minfont'>" + i.content +
					"</p></div></div><div style='float: right;'><i name='1' onclick='good(this," + i.id + ")' class='" + g +
					" litem2 middlefont'>" + i.good + "</i><i onclick='tosrcNeedLogin(21,{id:" + i.id +
					"})' class='fa fa-commenting-o  litem2 middlefont'>" + i.comment +
					"</i> <i class='fa fa-eye litem2 minfont'>" + i.eye + "</i></div></div></ons-card>")
			})
		} else {
			// 个人
			$.each(f.data.list, function(j, i) {
				var h = getCache("good" + i.id);
				var g = "fa fa-thumbs-o-up";
				if (h) {
					g = "fa fa-thumbs-up"
				}
				c.append("<ons-card style='padding-bottom: 30px;'><div class='faxiantitle'><img src='" + i.img +
					"' width='40px'height='40px'/></div><div class='faxiantitle2 minfont'>" + i.auth +
					"</div><div class='content'><div class='faxiancard'><div class='faxiancontent'><span class='faxianauth'>" +
					i.name + "</span><p class='toppoems minfont'>" + i.content +
					"</p></div></div><div style='float: right;'><i name='1' onclick='good(this," + i.id + ")' class='" + g +
					" litem2 middlefont'>" + i.good + "</i><i onclick='tosrcNeedLogin(21,{id:" + i.id +
					"})' class='fa fa-commenting-o litem2 middlefont'>" + i.comment +
					"</i>  <i class='fa fa-eye litem2 minfont'>" + i.eye + "</i>  <i onclick='deletepoems(" + i.id +
					")' class='fa fa-trash-o red minfont'></i></div></div></ons-card>")
			})
		}
	})
};
//个人信息
var initMyInfo = function() {
	var a = getUser();
	$("#sex").val(a.sex);
	$("#birthDay").val(a.birthDay);
	$("#address").val(a.address);
	$("#sdasd").val(a.sdasd);
	$("#nickname").val(a.nickname)
};
//消息
var initMessage = function() {
	$.getJSON(getUrl("13"), function(a) {
		$.each(a.data, function(c, b) {
			$("#woMessageList").append("<ons-card><p style='margin-top:1px'>" + b.title + "</p><div class='content minfont'>" + b.content +
				"</div></ons-card>")
		})
	})
};
//详情
var initDetal = function(b) {
	var a = getUrl(b.data.type, b.data.id);
	$.getJSON(a, function(c) {
		$("#detailpname").html(c.data.name + "(" + c.data.auth + ")");
		$("#detailpoems").html(c.data.content);
		$("#cpdpoems").attr("data-clipboard-text",c.data.content)
		$("#detailremark").html(c.data.remarks);
		$("#collct").html("<a href='javascript:tocollect(" + b.data.type + "," + b.data.id + ',"' + c.data.name + '","' +
			c.data.auth + "\")'><img class='love' src='pic/icon.png'/></a>")
	})
};
//诗词列表
var initPoemList = function(b) {
	var a = b.data.purl;
	var c = b.data.type;
	$.getJSON(a, function(e) {
		if (e.data.list.length == 0) {
			ptoast("没有诗词")
		}
		$.each(e.data.list, function(g, f) {
			$("#poemslistlist").append("<ons-list-item tappable onclick='todetail(\"" + c + '",' + f.id + ")'>" + f.name +
				"(" + f.auth + ")</ons-list-item>")
		})
	})
};
//收藏
var initCollecct = function() {
	$("#collectlist").empty();
	var b = getUser().userId;
	var a = getUrl("11") + b;
	$.getJSON(a, function(c) {
		d = c.data;
		if (d.length == 0) {
			ptoast("没有收藏任何诗词")
		} else {
			$.each(d, function(f, e) {
				$("#collectlist").append("<ons-list-item><div class='colle' onclick='todetail(\"" + e.type + '",' + e.sourceId +
					")'>" + e.name + "(" + e.auth + ")</div><div class='ringttext litem' onclick='cancelcollet(" + e.collectId +
					")'>取消</div></ons-list-item>")
			})
		}
	})
};
//主页
var initHome = function() {
	var a = getCache("onePoems");
	if (a == null || (new Date(a.curTime).toDateString() != new Date().toDateString())) {
		$.ajax({
			url: getUrl("14"),
			type: "get",
			dataType: "json",
			timeout: 1000,
			async: false,
			success: function(h) {
				a = h.data;
				setCache("onePoems", a)
			}
		})
	}
	$("#pname").html(a.name + "<br><span class='minfont shallowfont'style='margin:10px'>" + a.auth+"</span>");
	$("#cppoems").attr("data-clipboard-text",a.content)
	var f = a.content.split("。");
	$.each(f, function(i, h) {
		$("#poems").append(h);
		$("#poems").append("</br>")
	});
	$("#remark").text(a.remarks);
	var e = "";
	var c = getCache("userInfo");
	if (c) {
		e = getCache("userInfo").userId
	}
	var b = getCache("positions");
	$.getJSON(getUrl(15) + "?status=1&userid=" + e + "&place=" + b, function(i) {
		$.each(i.data.list, function(k, j) {
			$("#co").append("<ons-carousel-item><div style='width: 100%;'><img onclick='toframe(\"" + j.url + "\")' src='" +
				j.img + " ' class='homecal' /></div></ons-carousel-item>")
		});
		var h = i.data.count;
		setInterval(function() {
			var k = document.getElementById("carousel");
			var j = k.getActiveIndex();
			if (j + 1 < h) {
				k.next()
			} else {
				k.first()
			}
		}, 5000)
	});
	var g = getUrl("12") + "?pageSize=500";
	$.getJSON(g, function(h) {
		$.each(h.data.list, function(j, i) {
			$("#list").append('<a href=\'javascript:todetail("8",' + i.id +
				")'  ><li class='list-item button--quiet ' ><div class='list-item__left '><img class='list-item__thumbnail ' src=' " +
				i.img + " '></div><div class='list-item__center '><div class='list-item__title minfont '>" + i.name +
				"</div><div class='list-item__subtitle minfont '>" + i.auth + "</div></div></li></a>")
		})
	})
};
//外链
var toframe = function(a) {
	if (a != "#") {
		tosrc(26, {
			src: a
		})
	}
};
//卷号
var initRanking = function() {
	var b = getCache("rankingList");
	if (b == null) {
		$.ajax({
			url: getUrl("16"),
			data: {
				page: 1,
				pageSize: 1000,
				type: 1
			},
			type: "get",
			dataType: "json",
			timeout: 1000,
			async: false,
			success: function(c) {
				b = c.data;
				setCache("rankingList", b)
			}
		})
	}
	var a = "";
	$.each(b.list, function(e, c) {
		a += "<ons-col style='padding:0px;margin:0px'><button onclick='tojuanlist(" + c.number +
			")' class='button--quiet minfont'>第" + c.number + "卷</button></ons-col>";
		if ((e + 1) % 4 == 0 && e != 0) {
			a = "<ons-row>" + a + "</ons-row>";
			$("#list1").append(a);
			a = ""
		}
	})
};
//卷诗列表
var tojuanlist = function(b) {
	var a = getUrl("1") + "?pageSize=1000&number=" + b;
	tosrc(6, {
		purl: a,
		type: "6"
	})
};
//诗人列表
var initAuthList = function(g) {
	var b = g.data.dy;
	var e = g.data.name;
	var f = g.data.isall;
	if (f == null) {
		f = 0
	}
	var h = authList(b, f, e);
	var a = "";
	var i = h.count % 4;
	$.each(h.list, function(k, c) {
		a += "<ons-col style='padding:0px;margin:0px'><button onclick='toauthlist(\"" + c.id + '",' + b +
			")' class='button--quiet minfont'>" + c.name + "</button></ons-col>";
		k = k + 1;
		if (k % 4 == 0) {
			a = "<ons-row>" + a + "</ons-row>";
			$("#list2").append(a);
			a = ""
		}
		if (k == h.count && i != 0) {
			var j = appendcol(a, i);
			$("#list2").append(j);
			a = ""
		}
	});
	if (h.count > 300 && f == 0) {
		$("#allauth").append("<p onclick='allauth(" + b +
			")' id='moreauth' class='button--large--quiet' style='width: 95%; margin: 0 auto;color: #ccc;'>加载全部</p>")
	}
};
var appendcol = function(a, b) {
	if (b == 1) {
		a = "<ons-row>" + a + "<ons-col></ons-col><ons-col></ons-col><ons-col></ons-col></ons-row>"
	} else {
		if (b == 2) {
			a = "<ons-row>" + a + "<ons-col></ons-col><ons-col></ons-col></ons-row>"
		} else {
			if (b == 3) {
				a = "<ons-row>" + a + "<ons-col></ons-col></ons-row>"
			}
		}
	}
	return a
};
var allauth = function(b, e) {
	$("#moreauth").remove();
	var f = authList(b, 1, e);
	$("#list2").empty();
	var a = "";
	var g = f.count % 4;
	$.each(f.list, function(i, c) {
		a += "<ons-col style='padding:0px;margin:0px'><button onclick='toauthlist(\"" + c.id + '",' + b +
			")' class='button--quiet minfont'>" + c.name + "</button></ons-col>";
		i = i + 1;
		if (i % 4 == 0) {
			a = "<ons-row>" + a + "</ons-row>";
			$("#list2").append(a);
			a = ""
		}
		if (i == f.count && g != 0) {
			var h = appendcol(a, g);
			$("#list2").append(h);
			a = ""
		}
	})
};
var toauthlist = function(b, a) {
	var c = {
		number: 0,
		auth: "",
		content: "",
		tags: "",
		dynasty: a,
		authid: b,
		isall: 1,
		ptype: "6",
		purl: getUrl("1")
	};
	tosrc(31, c)
};
var serchauth = function(a) {
	if (a != "") {
		tosrc(5, {
			dy: 0,
			isall: 1,
			name: a
		})
	} else {
		ptoast("请输入")
	}
};

function getCode() {
	var f = $("#username").val();
	var e = /^[1][3,4,5,7,8][0-9]{9}$/;
	if (!e.test(f)) {
		ons.notification.toast("请输入正确的手机号", {
			timeout: 800,
			animation: "fall"
		});
		return false
	}
	var c = 60;
	var a;
	var b;
	b = c;
	$("#btnSendCode2").attr("disabled", "true");
	$("#btnSendCode2").html(+b + "秒再获取");
	a = window.setInterval(function() {
		if (b == 0) {
			window.clearInterval(a);
			$("#btnSendCode2").removeAttr("disabled");
			$("#btnSendCode2").html("重新发送")
		} else {
			b--;
			$("#btnSendCode2").html(+b + "秒再获取")
		}
	}, 1000);
	sendCode(f)
}

function sendCode(a) {
	$.getJSON(getUrl("17") + "?phone=" + a, function(b) {
		ons.notification.toast(b.message, {
			timeout: 800,
			animation: "fall"
		})
	})
}
// 登录
function login() {
	var c = $("#username").val();
	var a = $("#phonecode").val();
	var b = /^[1][3,4,5,7,8][0-9]{9}$/;
	if (!b.test(c)) {
		ons.notification.toast("请输入正确的手机号", {
			timeout: 800,
			animation: "fall"
		});
		return false
	}
	if (a == "" || a == null) {
		ptoast("请输入验证码");
		return false
	}
	$.ajax({
		url: getUrl("18"),
		type: "post",
		data: {
			device: getDevice(),
			address: getCache("positions"),
			phone: c,
			code: a
		},
		dataType: "json",
		timeout: 1000,
		success: function(e) {
			if (e.message == "ok") {
				myNavigator.popPage();
				setCache("userInfo", e.data);
				checkLogin()
			} else {
				ptoast(e.message)
			}
		}
	})
}
// 退出
function quitlogin() {
	if (!getUser()) {
		return false
	}
	pcomfirm("退出登陆？").then(function(a) {
		if (a) {
			ptoast("已安全退出");
			removeCache("userInfo");
			checkLogin()
		}
	})
}
// 检查登录
var checkLogin = function() {
	var a = getCache("userInfo");
	if (a == null) {
		$("#myinfo").hide();
		$("#nologin").show();
		return false
	}
	$("#myinfo").show();
	$("#nologin").hide();
	if (!a.headIcon) {
		a.headIcon = "pic/duser.png"
	} 
	$("#myinfo").html("<div class='list-item__center' style='float:left;'><img id='headIcon' src='" + a.headIcon +
		"' style='border-bottom: solid 1px #ddd;padding: 2px;width: 55px;height: 55px;margin-right: 15px;border-radius: 50%;'/></div><div style='padding-top:22px;min-width:250px'>" +
		a.nickname + "<span class='notification notification--material minfont'style='margin: 2px 3px 3px 10px;background-color: #b59f84;'>" + a.level +
		"</span><br><p style='color: #ccc;font-size: 12px;margin:8px'>" + a.sdasd + "</p></div>")
};

function getUser() {
	var a = getCache("userInfo");
	if (a) {
		return getCache("userInfo")
	} else {
		ptoast("请先登陆...");
		return null
	}
}

function tocollect(c, f, b, e) {
	var a = {
		userId: getUser().userId,
		type: c,
		sourceId: f,
		name: b,
		auth: e
	};
	$.ajax({
		url: getUrl("19"),
		type: "post",
		data: a,
		dataType: "json",
		timeout: 1000,
		async: true,
		success: function(g) {
			ons.notification.toast(g.message, {
				timeout: 800,
				animation: "fall"
			})
		}
	})
}

function raiseBug() {
	if (!getUser()) {
		return false
	}
	pprompt("请描述问题").then(function(a) {
		if (a) {
			toraiseBug(a);
			ptoast("提交成功，感谢您的建议")
		}
	})
}

function toraiseBug(a) {
	$.ajax({
		url: getUrl("20"),
		data: {
			content: a,
			userId: getUser().userId
		},
		type: "post",
		dataType: "json",
		timeout: 1000,
		async: true,
		success: function(b) {}
	})
}
var uphead = function() {
	imageProcess()
};
var saveUserInfo = function() {
	$.ajax({
		url: getUrl("23"),
		data: {
			userId: getUser().userId,
			sex: $("#sex").val(),
			birthDay: $("#birthDay").val(),
			address: $("#address").val(),
			sdasd: $("#sdasd").val(),
			nickname: $("#nickname").val(),
		},
		type: "post",
		dataType: "json",
		timeout: 1000,
		async: false,
		success: function(a) {
			if (a.message == "ok") {
				ptoast("信息已保存");
				setCache("userInfo", a.data);
				myNavigator.popPage();
				checkLogin()
			}
		}
	})
};

function todetail(a, b) {
	tosrc(1, {
		type: a,
		id: b
	})
}

function searchPoems(a, b) {
	var g = $("#stext").val();
	if (g == "") {
		ons.notification.toast("请输入内容", {
			timeout: 1000,
			animation: "fall"
		})
	} else {
		var c = $("input[name='r']:checked").val();
		var f = getUrl("1") + "?isall=1&dynasty=" + a + "&" + c + "=" + g;
		tosrc(6, {
			purl: f,
			type: b
		})
	}
}

function goodPoem(a, b) {
	var c = getUrl(a) + "?pageSize=300";
	tosrc(6, {
		purl: c,
		type: b
	})
}

function poembyTag(a, b) {
	var c = getUrl("1") + "?pageSize=500&dynasty=" + a + "&tags=" + b;
	tosrc(6, {
		purl: c,
		type: "6"
	})
}

function poembyName(a, b) {
	var c = getUrl("1") + "?isall=1&dynasty=" + a + "&name=" + b;
	tosrc(6, {
		purl: c,
		type: "6"
	})
}

function authList(c, b, a) {
	var e;
	$.ajax({
		url: getUrl("21"),
		data: {
			page: 1,
			pageSize: 300,
			dynasty: c,
			name: a,
			isall: b
		},
		type: "get",
		dataType: "json",
		timeout: 1000,
		async: false,
		success: function(f) {
			e = f.data
		}
	});
	return e
}
var refesh = function() {
	var a = document.getElementById("pull-hook");
	a.removeEventListener("changestate", pull);
	a.addEventListener("changestate", pull);
	a.onAction = function(b) {
		setTimeout(b, 1500)
	}
};
var pull = function(a) {
	if (a.state == "action") {
		initFaxian(1)
	}
};
var saveUserPoem = function() {
	var c = $("#siname").val();
	var f = getFormatCode($("#sicontent").val());
	if (c == "" || f == "") {
		ptoast("诗名和内容不能为空");
		return false
	}
	var b = getUser();
	var e = $("#siauth").val();
	if (e == "") {
		e = b.nickname
	}
	var a = $("#status").val();
	var g = {
		userId: b.userId,
		name: c,
		content: f,
		status: a,
		auth: e,
		img: b.headIcon,
		school: b.level
	};
	$.ajax({
		url: getUrl("24"),
		type: "post",
		data: g,
		dataType: "json",
		timeout: 1000,
		success: function(h) {
			ptoast("写诗成功，系统审核后显示");
			myNavigator.popPage();
			initFaxian(1)
		}
	})
};
var cancelcollet = function(a) {
	$.ajax({
		url: getUrl("26") + a,
		type: "post",
		dataType: "json",
		timeout: 1000,
		success: function(b) {
			ptoast(b.message);
			initCollecct()
		}
	})
};
var deletepoems = function(a) {
	pcomfirm("确认删除").then(function(b) {
		if (b) {
			$.ajax({
				url: getUrl("27") + a,
				type: "post",
				dataType: "json",
				timeout: 1000,
				success: function(c) {
					ptoast(c.message);
					initFaxian(1, getUser().userId)
				}
			})
		}
	})
};
var good = function(a, f) {
	var c = $(a).attr("name");
	$(a).removeClass("fa-thumbs-o-up");
	$(a).addClass("fa-thumbs-up");
	var b = getCache("good" + f);
	if (b) {
		ptoast("已经赞过");
		return false
	}
	setCache("good" + f, "true");
	var e = $(a).html();
	$(a).attr("name", "2");
	$(a).html(parseInt(e) + 1);
	$.ajax({
		url: getUrl("28") + f,
		type: "post",
		dataType: "json",
		timeout: 1000,
		success: function(g) {}
	})
};
var tocomment = function() {
	pprompt("请输入评论内容").then(function(a) {
		if (a) {
			var b = getUser();
			var c = {
				userId: b.userId,
				type: 0,
				srcId: $("#hdata").val(),
				parentId: $("#hdata").attr("name"),
				content: a,
				nickName: b.nickname,
				headIcon: b.headIcon
			};
			$.ajax({
				url: getUrl("29"),
				type: "post",
				data: c,
				dataType: "json",
				timeout: 1000,
				success: function(e) {
					$("#faxianlist").empty();
					initcomment(0, $("#hdata").val(), 0);
					ptoast("评论成功")
				}
			})
		}
	})
};
var toanswer = function() {
	pprompt("请输入回复内容").then(function(a) {
		if (a) {
			var b = getUser();
			var c = {
				userId: b.userId,
				type: 0,
				srcId: $("#hsdata").val(),
				parentId: $("#hsdata").attr("name"),
				content: a,
				nickName: b.nickname,
				headIcon: b.headIcon
			};
			$.ajax({
				url: getUrl("29"),
				type: "post",
				data: c,
				dataType: "json",
				timeout: 1000,
				success: function(e) {
					$("#faxianalist").empty();
					initanswer(0, $("#hsdata").val(), $("#hsdata").attr("name"));
					ptoast("评论成功")
				}
			})
		}
	})
};
var recommend = function() {
	if (!getUser()) {
		return false
	}
	pprompt("请输入该作品的相关信息，如标题/作者").then(function(a) {
		if (a) {
			toraiseBug(a);
			ptoast("提交成功，感谢您的推荐")
		}
	})
};
var sikumenu = function() {
	$.ajax({
		url: getUrl("31"),
		type: "get",
		dataType: "json",
		timeout: 1000,
		async: false,
		success: function(e) {
			var f = e.data;
			for (var b in f) {
				$("#sikumenu").append("<br><p class='mtitles'>" + b +
					"</p><div class='minfont huawen mmore'><a class='weakcolor' href='javascript:tosrcNeedLogin(37,{tg:\"" + b +
					"\"})'>更多></a></div> ");
				var a = "";
				var g = f[b].length % 4;
				$.each(f[b], function(i, c) {
					a += "<ons-col onclick='" + c.src + "'><img src='" + c.img + "' class='colimg'><p class='coltitle'>" + c.name +
						"</p></ons-col>";
					i = i + 1;
					if (i % 4 == 0) {
						a = "<ons-row>" + a + "</ons-row>";
						$("#sikumenu").append(a);
						a = ""
					}
					if (i == f[b].length && g != 0) {
						var h = appendcol(a, g);
						$("#sikumenu").append(h);
						a = ""
					}
				})
			}
		}
	})
};
