var isfirst = true;
var version = "20190106";

var getFormatCode = function(strValue) {
	return strValue.replace(/\r\n/g, '<br/>').replace(/\n/g, '<br/>').replace(/\s/g, '&nbsp;');
}
window.onload = function() {
	var myNavigator = document.querySelector('#myNavigator');
}

function tosrc(src, data) {
	myNavigator.pushPage(getHtml(src), {
		data: data
	});
}

function tosrcNeedLogin(src, data) {
	if (!getUser()) {
		//tosrc(12)
		//ptoast("需要登陆")
	}else{
		myNavigator.pushPage(getHtml(src), {
			data: data
		});
	}
}
var ptoast = function(message) {
	if (!message) {
		message = '正在加载';
	}
	ons.notification.toast(message, {
		timeout: 800,
		animation: 'fall'
	});
}
var pcomfirm = function(message) {
	return ons.notification.confirm({
		message: message,
		title: "",
		buttonLabels: ["取消", "确认"]
	})
}

var pprompt = function(message) {
	return ons.notification.prompt({
		message: message,
		title: "",
		buttonLabels: ["取消", "确认"]
	})
}
var palert = function(message) {
	ons.notification.alert({
		message: message,
		title: "",
		buttonLabels: ["确认"]
	})
}
//简单的get
var ajaxGet = function(u) {
	var d;
	$.ajax({
		url: u,
		type: "get",
		dataType: "json",
		timeout: 1000, //超时时间设置，单位毫秒
		async: false,
		success: function(data) {
			d = data.data;
		}
	});
	return d;
}

document.addEventListener('show', function(event) {
	var page = event.target;
	var pageId = event.target.id;
	if (pageId == "faxian_siyou") {
		refesh();
	}
	if (pageId == "wo") {
		checkLogin();
	}
	if (pageId == "homes" || pageId == "wo" || pageId == "faxian" || pageId == "siku") {
		isfirst = true;
	} else {
		isfirst = false;
	}
});

document.addEventListener("plusready", function() {
	getDevice();
	getLocation();
	plus.key.addEventListener('backbutton', function() {
		var k = document.querySelector('ons-alert-dialog');
		if (k != null) {
			k.remove();
		} else {
			if (isfirst) {
				pcomfirm('退出诗词宝典？').then(function(data) {
					if (data) {
						plus.runtime.quit();
					} else {
						k.remove();
					}
				});
			} else {
				myNavigator.popPage();
			}
		}

	}, false);
});
//检查网络连接
// if(!navigator.onLine) {
// 	$.alert("获取数据失败，请检查网络！");
// }
var savePicture=function(){
	var srcs = $("#sikusihua img").attr("src");
	$("#sikusihua img").each(function (i) { 
		plus.gallery.save($(this).attr("src"), function () {
			
		})
	});  
    ptoast("保存成功")
}
//获取Device
var getDevice = function() {
	if (isPC) {
		return "";
	}
	var im = getCache("IMEI");
	if (im != null) {
		return im;
	}
	var name = plus.os.name;
	var imei = plus.device.imei;
	setCache("IMEI", name + imei);
	return name + imei;
}

function isPC() {
	var userAgentInfo = navigator.userAgent;
	var Agents = new Array("Android", "iPhone", "SymbianOS", "Windows Phone", "iPad", "iPod");
	var flag = true;
	for (var v = 0; v < Agents.length; v++) {
		if (userAgentInfo.indexOf(Agents[v]) > 0) {
			flag = false;
			break;
		}
	}
	return flag;
}
var getLocation = function() {
	if (navigator.geolocation) {
		navigator.geolocation.getCurrentPosition(showPosition);
	} else {
		setCache("positions", "")
	}
}
var showPosition = function(position) {
	{
		setCache("positions", position.coords.latitude + "," + position.coords.longitude + "," + position.coords.altitude)
	}
}

//系统更新
var checkUpdate = function(isalert) {
	var dr = false;
	var u = "";
	$.ajax({
		url: urls + "comment/status",
		type: "get",
		dataType: "json",
		timeout: 1000, //超时时间设置，单位毫秒
		async: false,
		success: function(data) {
			if (data.data.version != version) {
				u = data.data.url;
				dr = true;
			}
		}
	});
	if (dr) {
		pcomfirm('有新版本发布了，是否更新？').then(function(data) {
			if (data) {
				var wt = plus.nativeUI.showWaiting('下载更新中，请勿关闭');
				var dtask = plus.downloader.createDownload(u, {}, function(d, status) {
					if (status == 200) {
						var path = d.filename;
						plus.runtime.install(path);
					} else {
						palert("下载失败");
					}
				});
				dtask.start();
			}
		})

	} else {
		if(isalert){
			palert("已是最新版本");
		}
	}
}


//获取基本数据并保存到本地，如果没有网络读取缓存
/**
 * sessionStorage 临时缓存
 * localStorage.setItem(`myCat`, `Tom`);
 * let cat = localStorage.getItem(`myCat`);
 * localStorage.removeItem(`myCat`);
 * localStorage.clear();
 */
var setCache = function(key, value) {
	var curTime = new Date().getTime();
	value["curTime"] = curTime;
	localStorage.setItem(key, JSON.stringify(value));
}

var clearCache = function() {
	localStorage.removeItem("onePoems");
	localStorage.removeItem("rankingList");
	localStorage.removeItem("yunlv");
	ptoast("已清除")
}

var removeCache = function(key) {
	localStorage.removeItem(key);
}
//1000*60 1分钟 ,不传为不限定
var getCache = function(key, exp) {
	var data = localStorage.getItem(key);
	var dataObj = JSON.parse(data);
	if (exp != null && new Date().getTime() - dataObj["curTime"] > exp) {
		return null;
	} else {
		return dataObj;
	}
}

//时间戳转日期
var formatDate = function(times) {
	//	alert(times)
	var now = new Date(times);
	// return new Date(parseInt(times) * 1000).toLocaleString().replace(/:\d{1,2}$/,' ');  
	var year = now.getFullYear();
	var month = now.getMonth() + 1;
	var date = now.getDate();
	var hour = now.getHours();
	var minute = now.getMinutes();
	var second = now.getSeconds();
	return year + "-" + month + "-" + date + " " + hour + ":" + minute + ":" + second;
}
